use crate::types::flow::Flow;

#[derive(Debug, Clone, serde::Serialize)]
struct FlowWrapper {
    #[serde(rename = "type")]
    _type: Flow,
}

#[derive(Debug, Clone, serde::Serialize)]
pub struct Flows {
    flows: Vec<FlowWrapper>,
}

impl Flows {
    pub fn new() -> Self {
        Self {
            flows: vec![FlowWrapper {
                _type: Flow::Password,
            }],
        }
    }
}
